import { ObjectType } from './ObjectType';
import { Field } from '../reference/Field';
import { TypeResolvingContext } from '../type-expression/types';
export declare class SubscriptionType extends ObjectType {
    protected buildFieldConfig(context: TypeResolvingContext, field: Field): {
        subscribe: import("graphql").GraphQLFieldResolver<any, any, {
            [argName: string]: any;
        }> | undefined;
        resolve: (v: any) => any;
        description?: import("graphql/jsutils/Maybe").Maybe<string>;
        type: import("graphql").GraphQLOutputType;
        args?: import("graphql").GraphQLFieldConfigArgumentMap | undefined;
        deprecationReason?: import("graphql/jsutils/Maybe").Maybe<string>;
        extensions?: import("graphql/jsutils/Maybe").Maybe<Readonly<import("graphql").GraphQLFieldExtensions<any, any, {
            [argName: string]: any;
        }>>>;
        astNode?: import("graphql/jsutils/Maybe").Maybe<import("graphql").FieldDefinitionNode>;
    };
}
//# sourceMappingURL=SubscriptionType.d.ts.map